package com.chenyang.nse.bussiness.kms.model;

public class KmsSecretKey {
   private String id;
   private String encryption_id;
   private String encryption_type;
   private String secret_key_name;
   private String sectet_key_value;
   private String sectet_key_plain_text;

   public KmsSecretKey(String id, String encryption_id, String encryption_type, String secret_key_name, String sectet_key_value) {
      this(id, encryption_id, encryption_type, secret_key_name, sectet_key_value, "");
   }

   public KmsSecretKey(String id, String encryption_id, String encryption_type, String secret_key_name, String sectet_key_value, String sectet_key_plain_text) {
      this.id = id;
      this.encryption_id = encryption_id;
      this.encryption_type = encryption_type;
      this.secret_key_name = secret_key_name;
      this.sectet_key_value = sectet_key_value;
      this.sectet_key_plain_text = sectet_key_plain_text;
   }

   public String getTid() {
      return this.id;
   }

   public String getEncryption_id() {
      return this.encryption_id;
   }

   public String getEncryption_type() {
      return this.encryption_type;
   }

   public String getSecret_key_name() {
      return this.secret_key_name;
   }

   public String getSectet_key_value() {
      return this.sectet_key_value;
   }

   public String getSectet_key_plain_text() {
      return this.sectet_key_plain_text;
   }
}
